
	.module video_cls

	.area _CODE

;__VIDEO_COLUMNS			= 40
__VIDEO_COLUMNS			= 80
__VIDEO_END_VISIBLE_VRAM	= 0x8000 + ( __VIDEO_COLUMNS * 200 )
__VIDEO_NUM_WORDS		= ( __VIDEO_COLUMNS * 200 ) / 2
__VIDEO_WORD_COUNTER		= ( ( __VIDEO_NUM_WORDS >> 8 ) + 1 ) + ( ( __VIDEO_NUM_WORDS & 0xff )  << 8 )

;
; Funkce pro rychle smazani viditelne VRAM
;
; Pred zavolanim:
;
; - VRAM musi byt primapovana
;
; - rWFR musi byt nastaven na pozadovane roviny
;
_video_cls::
        ld hl, #0x0000
        add hl, sp
        ld sp, #__VIDEO_END_VISIBLE_VRAM
        ld de, #0x0000
	ld bc, #__VIDEO_WORD_COUNTER
    1$:
        push de
        djnz 1$
        dec c
        jp nz, 1$     
        ld sp, hl
        ret
