
__sfr __at	0xd9	FDC_TRACK;


/* _delay - modifikovatelna cekaci smycka (volano z ASM)
 *
 * Vstup:
 *	reg. DE * 8 => priblizny cas v us
 *
 * Poskodi reg.: DE, AF
*/
void _delay ( void ) __naked {

    __asm

    1$:
    dec de
    ld a,d
    or e
    jr nz, 1$
    ret
    
    __endasm;
}




#if 0
/* delay - modifikovatelna cekaci smycka (volano z C)
 *
 * Vstup:
 *	value * 8 => priblizny cas v us
*/
void delay ( unsigned int value ) __naked {
    (void) value;
    
    __asm

    pop bc
    pop de
    push de
    push bc
    
    jp __delay
        
    __endasm;
}
#endif







/*
 * FDC_isPresent - test zda je pritomen FDC
 *
 * ret_val:
 *	-1: nepritomen
 *	 0: pritomen
*/
#define FDC_TRACK_TEST_VALUE	0xa4	/* kvuli unikarte volime jinou testovaci hodnotu, nez se pouziva v ROM */
char testFDC_isPresent ( void ) __naked {

    __asm
    
    xor a
    ld l,a
    
    ld a,#FDC_TRACK_TEST_VALUE
    ld b,a
    ld c,#_FDC_TRACK
    
    out (c),a
    ld de,#0x000f
    call __delay
    in a,(c)
    cp b
    ret z
    dec l
    ret
    
    __endasm;
}

